.cdx-button {
	border-radius: 2px;
	border-style: solid;
	border-width: 1px;
	margin: 0;
	padding-left: 11px;
	padding-right: 11px;
	transition-duration: .1s;
	transition-property: background-color,color,border-color,box-shadow;
}

.cdx-button__icon {
	display: inline-block;
	height: 1.25em;
	min-height: 20px;
	min-width: 20px;
	width: 1.25em;
}

.cdx-demo-css-icon--add {
	mask-image: url( https://upload.wikimedia.org/wikipedia/commons/4/47/Codex_icon_add.svg );
}

.cdx-demo-css-icon--alert {
	mask-image: url( https://upload.wikimedia.org/wikipedia/commons/e/e0/Codex_icon_alert.svg );
}

.cdx-demo-css-icon--check {
	mask-image: url( https://upload.wikimedia.org/wikipedia/commons/f/f4/Codex_icon_check.svg );
}

.cdx-demo-css-icon--clock {
	mask-image: url( https://upload.wikimedia.org/wikipedia/commons/f/f4/Codex_icon_clock.svg );
}

.cdx-demo-css-icon--close {
	mask-image: url( https://upload.wikimedia.org/wikipedia/commons/8/82/Codex_icon_close.svg );
}

.cdx-demo-css-icon--collapse {
	mask-image: url( https://upload.wikimedia.org/wikipedia/commons/a/ad/Codex_icon_collapse.svg );
}

.cdx-demo-css-icon--edit {
	mask-image: url( https://upload.wikimedia.org/wikipedia/commons/5/5c/Codex_icon_edit.svg );
}

.cdx-demo-css-icon--expand {
	mask-image: url( https://upload.wikimedia.org/wikipedia/commons/5/58/Codex_icon_expand.svg );
}

.cdx-demo-css-icon--help-notice {
	mask-image: url( https://upload.wikimedia.org/wikipedia/commons/7/74/Codex_icon_help_notice.svg );
}

.cdx-demo-css-icon--message {
	mask-image: url( https://upload.wikimedia.org/wikipedia/commons/5/56/Codex_icon_message.svg );
}

.cdx-demo-css-icon--success {
	mask-image: url( https://upload.wikimedia.org/wikipedia/commons/1/1f/Codex_icon_success.svg );
}

.cdx-demo-css-icon--speech-bubbles {
	mask-image: url( https://upload.wikimedia.org/wikipedia/commons/6/66/Codex_icon_speech_bubbles.svg );
}
